Commit de8680a6 authored by Philipp Nowinski's avatar Philipp Nowinski
Browse files

[BUGFIX] fix compatibility issues when switching node version

This is a temporary fix related to https://github.com/creationix/nvm/issues/855.
parent 089212ee
...@@ -41,7 +41,7 @@ else ...@@ -41,7 +41,7 @@ else
if [ ! $OSTYPE == "msys" ] if [ ! $OSTYPE == "msys" ]
then then
# set node version # set node version
nvm use ${nodeversion} nvm use --delete-prefix ${nodeversion}
else else
# interestingly, setting the node version here will break on windows. for some reason the node and npm commands # interestingly, setting the node version here will break on windows. for some reason the node and npm commands
# wont't be available anymore afterwards. tell the user instead. # wont't be available anymore afterwards. tell the user instead.
......
...@@ -49,7 +49,7 @@ nvm install ${nodeversion} ...@@ -49,7 +49,7 @@ nvm install ${nodeversion}
# nvm-windows won't set the version by default after installing it # nvm-windows won't set the version by default after installing it
if [ $OSTYPE == "msys" ] if [ $OSTYPE == "msys" ]
then then
nvm use ${nodeversion} nvm use --delete-prefix ${nodeversion}
fi fi
echo -e "\033[0;32mNode installed ✓\033[0m\n" echo -e "\033[0;32mNode installed ✓\033[0m\n"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment